Bug 228618 - [regression in 12-CURRENT] System crashes in ifa_ifwithnet
Summary: [regression in 12-CURRENT] System crashes in ifa_ifwithnet
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: Matt Macy
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2018-05-30 21:19 UTC by Yuri Victorovich
Modified: 2018-10-09 05:21 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2018-05-30 21:19:12 UTC
I've seen several crashes like this while using WiFi:
> Stopped at  ifa_ifwithnet+0xd1   cmpb %r14b, 0x1(%rax)

Besides this, there are a lot of messages like this:
> ifa_ifwithnet failed

This problem doesn't exist in 11.1.
Comment 1 Mark Johnston freebsd_committer 2018-05-30 21:27:05 UTC
Could you provide the full panic message and backtrace, please?
Comment 2 Yuri Victorovich freebsd_committer 2018-05-30 21:28:57 UTC
(In reply to Mark Johnston from comment #1)

I will take a photo next time I see it.
Comment 3 Matthew Macy 2018-05-30 21:36:17 UTC
If you're seeing the message:

> ifa_ifwithnet failed

You're running an old revision and need to update.
Comment 4 Yuri Victorovich freebsd_committer 2018-05-30 21:42:39 UTC
It is from a a few days ago:

> FreeBSD xxx 12.0-CURRENT FreeBSD 12.0-CURRENT #0 r334204: Fri May 25 09:20:54 PDT 2018     unknown@nohost.com:/usr/obj/usr/src/amd64.amd64/sys/GENERIC  amd64
Comment 5 Matthew Macy 2018-05-30 21:46:50 UTC
A number of bugs have been fixed in this area in the last couple of days. Please update and report back.
Comment 6 Yuri Victorovich freebsd_committer 2018-05-30 21:49:39 UTC
(In reply to Matthew Macy from comment #5)

Ok, will do.
Comment 7 Yuri Victorovich freebsd_committer 2018-05-31 21:05:18 UTC
There are no more warnings in the log, and I didn't see crashes like this any more.
Will watch it some more.
Comment 8 Ed Maste freebsd_committer 2018-08-31 21:30:04 UTC
Can we assume this issue has been fixed, and close the PR?